Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.conversion.pdf2office.PDF2PowerPointSettingData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| PDF2PowerPointSettingData ()
| Constructor.
| PDF2PowerPointSettingData (bool enable_aggressively_split_sections, bool enable_adapt_to_largest_page)
| Constructor, with parameters. More...
void | Set (bool enable_aggressively_split_sections, bool enable_adapt_to_largest_page)
| Set value. More...

## Properties
bool | enable_adapt_to_largest_page`[get, set]`
| A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. More...
bool | enable_aggressively_split_sections`[get, set]`
| A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Power Point format documents.

## Constructor & Destructor Documentation

## ◆ PDF2PowerPointSettingData()

foxit.addon.conversion.pdf2office.PDF2PowerPointSettingData.PDF2PowerPointSettingData | ( | bool | enable_aggressively_split_sections,
|  | bool | enable_adapt_to_largest_page
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

## Member Function Documentation

## ◆ Set()

void foxit.addon.conversion.pdf2office.PDF2PowerPointSettingData.Set | ( | bool | enable_aggressively_split_sections,
|  | bool | enable_adapt_to_largest_page
| ) |  |
| inline

Set value.

Parameters

  [in] | enable_aggressively_split_sections | A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false. In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.
  [in] | enable_adapt_to_largest_page | A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false. Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

Returns
  None.

## Property Documentation

## ◆ enable_adapt_to_largest_page

bool foxit.addon.conversion.pdf2office.PDF2PowerPointSettingData.enable_adapt_to_largest_page
| get set

A boolean value that indicates whether adapt content of smaller pages to the largest page size during the conversion of PDF documents to PowerPoint format. Default value: false.

Since all slides in a PowerPoint must have the same size, the largest page is used as the reference by default. When enabled, the converter identifies the largest page within the conversion range and adjusts the page matrix of smaller pages accordingly, scaling their graphical objects to ensure uniform slide dimensions in the output PowerPoint file. All scaling operations preserve the original aspect ratio. true means to adapt content of smaller pages to the largest page size. false means not to adapt content of smaller pages to the largest page size.

## ◆ enable_aggressively_split_sections

bool foxit.addon.conversion.pdf2office.PDF2PowerPointSettingData.enable_aggressively_split_sections
| get set

A boolean value which indicates whether split sections aggressively for the conversion of PDF documents to Power Point format documents. Default value: false.

In two paragraphs of the same text box, if the spacing between them is large enough, they will be split into two separate text boxes for the conversion of PDF documents to Power Point format documents. true means to split sections aggressively for the conversion of PDF documents to Power Point format documents. false means not to split sections aggressively for the conversion of PDF documents to Power Point format documents.